import { UiToolbar } from "./tool-container/toolbar/UiToolbar";
import { UiNavigationBar } from "./UiNavigationBar";
import { AbstractUiComponent } from "./AbstractUiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiMobileLayoutCommandHandler, UiMobileLayoutConfig } from "../generated/UiMobileLayoutConfig";
import { UiComponent } from "./UiComponent";
import { UiPageTransition } from "../generated/UiPageTransition";
export declare class UiMobileLayout extends AbstractUiComponent<UiMobileLayoutConfig> implements UiMobileLayoutCommandHandler {
    private $mainDiv;
    private $toolbarContainer;
    private $contentContainerWrapper;
    private $navBarContainer;
    private toolbar;
    private navBar;
    private content;
    private $contentContainer;
    constructor(config: UiMobileLayoutConfig, context: TeamAppsUiContext);
    showView(view: UiComponent, transition?: UiPageTransition, animationDuration?: number): void;
    setToolbar(toolbar: UiToolbar): void;
    setNavigationBar(navBar: UiNavigationBar): void;
    getMainDomElement(): HTMLElement;
    destroy(): void;
}
